## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname notifications
%global appname io.elementary.notifications

Name:           elementary-notifications
Version:        8.1.0
Release:        %autorelease
Summary:        GTK Notifications Server
License:        GPL-3.0-or-later

URL:            https://github.com/elementary/notifications
Source:         %{url}/archive/%{version}/notifications-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(granite) >= 5.4.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libhandy-1)

%description
elementary Notifications is a GTK notification server for Pantheon.

%package demo
Summary:        GTK Notifications Server (demo application)
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description demo
elementary Notifications is a GTK notification server for Pantheon.

This package contains a demo application.


%prep
%autosetup -n notifications-%{version} -p1


%build
%meson
%meson_build


%install
%meson_install

# remove the specified stock icon from appdata (invalid for desktop components)
sed -i '/icon type="stock"/d' %{buildroot}/%{_datadir}/metainfo/%{appname}.metainfo.xml


%check
appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/%{appname}.metainfo.xml


%files
%license LICENSE
%doc README.md

%{_bindir}/%{appname}

%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/metainfo/%{appname}.metainfo.xml

%files demo
%{_bindir}/%{appname}.demo

%{_datadir}/applications/%{appname}.demo.desktop


%changelog
## START: Generated by rpmautospec
* Sat May 31 2025 Fabio Valentini <decathorpe@gmail.com> - 8.1.0-1
- Update to version 8.1.0; Fixes RHBZ#2367856

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Oct 16 2024 Fabio Valentini <decathorpe@gmail.com> - 8.0.0-1
- Update to version 8.0.0; Fixes RHBZ#2299905

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Nov 12 2023 Fabio Valentini <decathorpe@gmail.com> - 7.0.1-1
- Initial packaging

## END: Generated by rpmautospec
